# request.[others]

Source: https://docs.scrappey.com/docs/request-others

> These commands let you send PUT, DELETE, PATCH, and PUBLISH HTTP requests through a real browser session, sharing the same structure as request.post.

## Parameters

These commands share the exact same structure and options as [`request.post`](#requestpost), including:

* All shared parameters from [`request.get`](#requestget)
* Support for `postData` (required)
* Support for `customHeaders`, including setting the appropriate `Content-Type`

| Parameter  | Type   | Required | Description |
| ---------- | ------ | -------- | ----------- |
| `postData` | string | Yes      | The request body to send. Use string format (`application/x-www-form-urlencoded`) or set the content type to `application/json` via `customHeaders`. |

## Example

### request.put

```bash
curl -X POST "https://publisher.scrappey.com/api/v1?key=YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "cmd": "request.put",
    "url": "https://example.com/api/resource/1",
    "postData": "field=value"
  }'
```

### request.delete

```bash
curl -X POST "https://publisher.scrappey.com/api/v1?key=YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "cmd": "request.delete",
    "url": "https://example.com/api/resource/1"
  }'
```

### request.patch (JSON body)

```bash
curl -X POST "https://publisher.scrappey.com/api/v1?key=YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "cmd": "request.patch",
    "url": "https://example.com/api/resource/1",
    "postData": { "field": "new_value" },
    "customHeaders": { "content-type": "application/json" }
  }'
```

## Notes

For all other options, refer to:

* [`request.get`](#requestget) for general parameters
* [`request.post`](#requestpost) for body-related behavior
